Notetaker
Nylas Notetaker is a real-time meeting bot that you can invite to your online meetings. It records and transcribes your discussion, and delivers results to you using the Nylas API and webhook notifications.
The /v3/grants/<NYLAS_GRANT_ID>/notetakers endpoints let you interact with Nylas Notetaker while referencing a specific grant so you can use Notetaker's calendar sync features for your authenticated users.
The /v3/notetakers endpoints let you send Notetakers that aren't connected to a grant as standalone Notetakers.
Calendar sync
Notetaker works with the Nylas Calendar API to automatically sync with calendars and events. When you sync Notetaker with a grant's calendar or event, Nylas tracks their join times and meeting links so the Notetaker is always sent to the meeting on time.
Webhook notifications
Nylas sends webhook notifications when a Notetaker bot is created, updated, or deleted, and when the recording media is available.
GET /v3/grants/{grant_id}/notetakersReturns a list of all Notetaker bots.
POST /v3/grants/{grant_id}/notetakersAdds a Notetaker bot to the specified meeting. You can optionally provide a config id to reference an existing configuration, or pass notetaker settings inline to create a per-notetaker configuration....
GET /v3/grants/{grant_id}/notetakers/{notetaker_id}Returns the specified Notetaker bot and its details.
PATCH /v3/grants/{grant_id}/notetakers/{notetaker_id}Updates the specified scheduled Notetaker bot. Only Notetakers in the scheduled state can be updated. After the bot joins the meeting, this endpoint returns 400 Bad Request with the message notetaker...
DELETE /v3/grants/{grant_id}/notetakers/{notetaker_id}Permanently deletes the specified Notetaker and all associated data, including any recordings, transcripts, thumbnails, summaries, and action items. This works regardless of the Notetaker's current st...
GET /v3/grants/{grant_id}/notetakers/{notetaker_id}/historyReturns the full history of events and state changes for the specified Notetaker bot.
DELETE /v3/grants/{grant_id}/notetakers/{notetaker_id}/cancelCancels a Notetaker while its status is scheduled, connecting, or waiting for entry, preventing it from joining the meeting. After the Notetaker joins the meeting, use the leave endpoint. To permanent...
POST /v3/grants/{grant_id}/notetakers/{notetaker_id}/leaveSends a request to the specified Notetaker bot to leave the meeting it's currently attending. If the Notetaker's status is scheduled, connecting, or waiting for entry, use the cancel endpoint instead.
GET /v3/grants/{grant_id}/notetakers/{notetaker_id}/mediaReturns a list of links to media generated by the specified Notetaker bot.